## firmware-nonfree 20190114+really20220913

=== debian/changelog ===
firmware-nonfree (20190114+really20220913-0+deb10u2) buster-security; urgency=medium

  [ Ben Hutchings ]
  * Clean up backport to buster:
    - Revert "Update to linux-support 5.19.0-1"
    - Use linux-support 5.10.0-0.deb10.23
    - d/rules, d/watch: Make orig target and uscan work with +really versions
    - qcom-media: Use lintian-overrides from qcom-soc
  * d/copyright: Add information about files re-added under debian/config
  * Make CI work for buster:
    - d/salsa-ci.yml: Set RELEASE to buster
    - d/salsa-ci.yml: Set changelog suite to UNRELEASED to avoid lintian error
    - d/salsa-ci.yml: Run extract-source job in target release, not unstable

  [ Tobias Frost ]
  * Use linux-support 5.10.0-0.deb10.24
  * Import changed firmware files from Intel for
    CVE-2022-27635 - Potential privilege escalation vector
    CVE-2022-36351 - Potential denial of service via adjacent access
    CVE-2022-38076 - Potential privilege escalation vector
    CVE-2022-40964 - Potential privilege escalation vector
    CVE-2022-46329 - Potential privilege escalation vector
    Details see Intel Advisory INTEL-SA-00766
    - Intel Bluetooth AX2xx series:
      intel/ibt-0041-0041.sfi	
      intel/ibt-19-0-0.sfi
      intel/ibt-19-0-1.sfi
      intel/ibt-19-0-4.sfi
      intel/ibt-19-16-4.sfi
      intel/ibt-19-240-1.sfi
      intel/ibt-19-240-4.sfi
      intel/ibt-19-32-0.sfi
      intel/ibt-19-32-1.sfi
      intel/ibt-19-32-4.sfi
      intel/ibt-20-0-3.sfi
      intel/ibt-20-1-3.sfi
      intel/ibt-20-1-4.sfi
    - Intel Wireless 22000 series
      iwlwifi-Qu-b0-hr-b0-77.ucode
      iwlwifi-Qu-b0-jf-b0-77.ucode
      iwlwifi-Qu-c0-hr-b0-77.ucode
      iwlwifi-Qu-c0-jf-b0-77.ucode
      iwlwifi-QuZ-a0-hr-b0-77.ucode
      iwlwifi-cc-a0-77.ucode
    The updated firmware files might need an updated kernel.
      
 -- Tobias Frost <tobi@debian.org>  Sat, 30 Sep 2023 17:53:21 +0200

firmware-nonfree (20190114+really20220913-0+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Importing new firmware files from Debian package version 20220913-1
    to address:
      CVE-2020-12362, CVE-2020-12363, CVE-2020-12364, CVE-2020-24586,
      CVE-2020-24587, CVE-2020-24588, CVE-2021-23168, CVE-2021-23223,
      CVE-2021-37409, CVE-2021-44545, CVE-2022-21181
  * To keep support for the older LTS kernels, re-add firmware files
    that have been dropped between firmare-nonfree 20190114-2 and
    20220913-1.
  * Don't introduce new binary package firmware-qcom-soc, use
    firmware-qcom-media for the new firmware files.

 -- Tobias Frost <tobi@debian.org>  Sat, 01 Apr 2023 16:52:19 +0200

firmware-nonfree (20220913-1) unstable; urgency=medium

  * New upstream version (Closes: #1009316, #1015728)
  * Various new firmware for Intel hardware closes: #1014651, #1020962
  * amd-graphics: Various new firmware closes: #999825, #1019847
  * iwlwifi: Various new firmware closes: #1016058

  [ Philippe Ombredanne ]
  * Update copyright with correct continuations

  [ Ben Hutchings ]
  * lintian: Move source overrides to preferred path
  * lintian: Refresh lintian-overrides
  * d/control: Use my debian.org email in Uploaders field
  * debian/upstream/: Add upstream signing key
  * copyright: Fold debian/config/*/copyright into debian/copyright
  * d/copyright: Fix remaining incorrect continuations
  * d/copyright: Add Copyright field for Conexant firmware
  * d/copyright: Fix Files field syntax
  * d/copyright: Replace tabs with spaces
  * d/copyright: Fix paragraph order for files in go7007/ and radeon/
  * copyright: Replace debian/config/*/LICENSE with paragraphs in
    debian/copyright
  * d/copyright: Fix incorrect and obsolete file patterns
  * copyright: Replace debian/copyright.debian with paragraph in
    debian/copyright
  * copyright: Remove support for per-binary-package copyright files
  * Move file exclusions to debian/copyright; replace genorig.py with uscan
  * d/copyright: Update copyright holders and dates for debian/*
  * d/copyright: Add paragraph for metadata that should be CC0
  * d/copyright: Drop non-matching file exclusions
  * ipw2x00, ivtv: Add environment variable to skip EULA on installation:
    FIRMWARE_{IPW2X00,IVTV}_LICENSE_READ_AND_ACCEPTED must be set to 'yes'
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
    - d/rules: Add linux-support-name target to show the name of the
      linux-support dependency
  * Update to linux-support 5.19.0-1
  * d/bin/gencontrol.py: Make debian/rules.gen reproducible
  * misc-nonfree: Add Intel ADL-P DMC firmware version 2.16
  * misc-nonfree: Add Intel DG2 firmware
  * misc-nonfree: Add Nvidia Ampere GA102/GA103/GA104/GA106/GA107 firmware
  * amd-graphics: Correct descriptions of files with IP version in filename
  * amd-graphics: Fix some inconsistent file descriptions
  * amd-graphics: Add "Aldebaran" MEC firmware
  * amd-graphics: Add more versions of DCN, GC, PSP, SDMA, VCN firmware
  * d/copyright: Delete obsolete filename patterns from Files-Excluded
  * bnx2x: Add firmware version 7.13.21.0 (Closes: #1006500)
  * iwlwifi: Add firmware version 71.058653f6.0 for various models

  [ Didier Raboud ]
  * lintian: fix file-matching in source override
  * lintian: fix elf-error override syntax
  * 20220815:
    - atheros: ath10k QCA99X0 board updated to v2
    - bnx2, bnx2x: Drop obsolete firmware files
    - intelwimax: Drop Intel WiMax package (unsupported since 5.10+)
    - iwlwifi: remove old unsupported 3160/7260/7265/8000/8265 firmware
      (unsupported since 4.8.0)
    - misc-nonfree: Update cxgb4 firmware to revision 1.26.6.0
    - misc-nonfree: Update ice package to 1.3.30.0, and DDP comms to 1.3.31.0
    - misc-nonfree: rename silabs/ to wfx/
  * Update dependency and modinfo from linux 5.19.0-2 on amd64
  * 20220913:
    - qlogic: drop old obsolete brocade firmware revs
    - misc-nonfree: Add lintian override for unstripped-binary-or-object


=== debian/control ===
Source: firmware-nonfree
Section: non-free/kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>
Standards-Version: 4.0.1
Build-Depends: debhelper (>= 12)
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
XS-Autobuild: yes

Package: firmware-linux
Architecture: all
Section: non-free/metapackages
Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on both free and non-free firmware which may be used
 with drivers in the Linux kernel.

Package: firmware-linux-nonfree
Architecture: all
Section: non-free/metapackages
Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on non-free firmware which may be used with drivers
 in the Linux kernel.

Package: firmware-adi
Architecture: all
Section: non-free/oldlibs
Depends: firmware-misc-nonfree, ${misc:Depends}
Description: Binary firmware for Analog Devices Inc. DSL modem chips (dummmy package)
 This is a dummy transitional package.  It can be safely removed.
Multi-Arch: foreign

Package: firmware-ralink
Architecture: all
Section: non-free/oldlibs
Depends: firmware-misc-nonfree, ${misc:Depends}
Description: Binary firmware for Ralink wireless cards (dummmy package)
 This is a dummy transitional package.  It can be safely removed.
Multi-Arch: foreign

Package: firmware-amd-graphics
Architecture: all
Provides: 
Depends: ${misc:Depends}
Recommends: 
Suggests: initramfs-tools
Replaces: firmware-linux-nonfree (<< 20151018-1~)
Breaks: firmware-linux-nonfree (<< 20151018-1~)
Conflicts: 
Description: Binary firmware for AMD/ATI graphics chips
 This package contains the binary firmware for AMD/ATI graphics chips
 supported by the radeon, amdgpu and r128 drivers.
 .
 Contents:
  * "Aldebaran" MEC firmware (amdgpu/aldebaran_mec.bin)
  * "Aldebaran" MEC2 firmware (amdgpu/aldebaran_mec2.bin)
  * "Aldebaran" RLC firmware (amdgpu/aldebaran_rlc.bin)
  * "Aldebaran" SDMA firmware (amdgpu/aldebaran_sdma.bin)
  * "Aldebaran" SMC firmware (amdgpu/aldebaran_smc.bin)
  * "Aldebaran" SOS firmware (amdgpu/aldebaran_sos.bin)
  * "Aldebaran" TA firmware (amdgpu/aldebaran_ta.bin)
  * "Aldebaran" VCN firmware (amdgpu/aldebaran_vcn.bin)
  * "Arcturus" ASDN firmware (amdgpu/arcturus_asd.bin)
  * "Arcturus" GPU info firmware (amdgpu/arcturus_gpu_info.bin)
  * "Arcturus" MEC2 firmware (amdgpu/arcturus_mec2.bin)
  * "Arcturus" MEC firmware (amdgpu/arcturus_mec.bin)
  * "Arcturus" RLC firmware (amdgpu/arcturus_rlc.bin)
  * "Arcturus" SDMA firmware (amdgpu/arcturus_sdma.bin)
  * "Arcturus" SMC firmware (amdgpu/arcturus_smc.bin)
  * "Arcturus" SOS firmware (amdgpu/arcturus_sos.bin)
  * "Arcturus" TA firmware (amdgpu/arcturus_ta.bin)
  * "Arcturus" VCN firmware (amdgpu/arcturus_vcn.bin)
  * "Banks" K-2 SMC microcode (amdgpu/banks_k_2_smc.bin)
  * "Beige Goby" CE firmware (amdgpu/beige_goby_ce.bin)
  * "Beige Goby" DMCUB firmware (amdgpu/beige_goby_dmcub.bin)
  * "Beige Goby" ME firmware (amdgpu/beige_goby_me.bin)
  * "Beige Goby" MEC firmware (amdgpu/beige_goby_mec.bin)
  * "Beige Goby" MEC2 firmware (amdgpu/beige_goby_mec2.bin)
  * "Beige Goby" PFP firmware (amdgpu/beige_goby_pfp.bin)
  * "Beige Goby" RLC firmware (amdgpu/beige_goby_rlc.bin)
  * "Beige Goby" SDMA firmware (amdgpu/beige_goby_sdma.bin)
  * "Beige Goby" SMC firmware (amdgpu/beige_goby_smc.bin)
  * "Beige Goby" SOS firmware (amdgpu/beige_goby_sos.bin)
  * "Beige Goby" TA firmware (amdgpu/beige_goby_ta.bin)
  * "Beige Goby" VCN firmware (amdgpu/beige_goby_vcn.bin)
  * Radeon HD 7790/8770/8950 CE microcode (amdgpu/bonaire_ce.bin)
  * Radeon HD 7790/8770/8950 K SMC microcode (amdgpu/bonaire_k_smc.bin)
  * Radeon HD 7790/8770/8950 MC microcode (amdgpu/bonaire_mc.bin)
  * Radeon HD 7790/8770/8950 ME microcode (amdgpu/bonaire_me.bin)
  * Radeon HD 7790/8770/8950 MEC microcode (amdgpu/bonaire_mec.bin)
  * Radeon HD 7790/8770/8950 PFP microcode (amdgpu/bonaire_pfp.bin)
  * Radeon HD 7790/8770/8950 RLC microcode (amdgpu/bonaire_rlc.bin)
  * Radeon HD 7790/8770/8950 SDMA microcode (amdgpu/bonaire_sdma.bin)
  * Radeon HD 7790/8770/8950 SDMA1 microcode (amdgpu/bonaire_sdma1.bin)
  * Radeon HD 7790/8770/8950 series SMC microcode
    (amdgpu/bonaire_smc.bin)
  * Radeon HD 7790/8770/8950 UVD microcode (amdgpu/bonaire_uvd.bin)
  * Radeon HD 7790/8770/8950 VCE microcode (amdgpu/bonaire_vce.bin)
  * "Carrizo" CE firmware (amdgpu/carrizo_ce.bin)
  * "Carrizo" ME firmware (amdgpu/carrizo_me.bin)
  * "Carrizo" MEC firmware (amdgpu/carrizo_mec.bin)
  * "Carrizo" MEC2 firmware (amdgpu/carrizo_mec2.bin)
  * "Carrizo" PFP firmware (amdgpu/carrizo_pfp.bin)
  * "Carrizo" RLC firmware (amdgpu/carrizo_rlc.bin)
  * "Carrizo" SDMA firmware (amdgpu/carrizo_sdma.bin)
  * "Carrizo" SDMA1 firmware (amdgpu/carrizo_sdma1.bin)
  * "Carrizo" UVD firmware, version 1.87 (amdgpu/carrizo_uvd.bin)
  * "Carrizo" VCE firmware (amdgpu/carrizo_vce.bin)
  * "Cyan Skillfish2" CE firmware (amdgpu/cyan_skillfish2_ce.bin)
  * "Cyan Skillfish2" ME firmware (amdgpu/cyan_skillfish2_me.bin)
  * "Cyan Skillfish2" MEC firmware (amdgpu/cyan_skillfish2_mec.bin)
  * "Cyan Skillfish2" MEC2 firmware (amdgpu/cyan_skillfish2_mec2.bin)
  * "Cyan Skillfish2" PFP firmware (amdgpu/cyan_skillfish2_pfp.bin)
  * "Cyan Skillfish2" RLC firmware (amdgpu/cyan_skillfish2_rlc.bin)
  * "Cyan Skillfish2" SDMA firmware (amdgpu/cyan_skillfish2_sdma.bin)
  * "Cyan Skillfish2" SDMA1 firmware (amdgpu/cyan_skillfish2_sdma1.bin)
  * DCN 3.1.5 DMCUB firmware (amdgpu/dcn_3_1_5_dmcub.bin)
  * DCN 3.1.6 DMCUB firmware (amdgpu/dcn_3_1_6_dmcub.bin)
  * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
  * "Dimgrey Cavefish" DMCUB firmware
    (amdgpu/dimgrey_cavefish_dmcub.bin)
  * "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
  * "Dimgrey Cavefish" MEC firmware (amdgpu/dimgrey_cavefish_mec.bin)
  * "Dimgrey Cavefish" MEC2 firmware (amdgpu/dimgrey_cavefish_mec2.bin)
  * "Dimgrey Cavefish" PFP firmware (amdgpu/dimgrey_cavefish_pfp.bin)
  * "Dimgrey Cavefish" RLC firmware (amdgpu/dimgrey_cavefish_rlc.bin)
  * "Dimgrey Cavefish" SDMA firmware (amdgpu/dimgrey_cavefish_sdma.bin)
  * "Dimgrey Cavefish" SMC firmware (amdgpu/dimgrey_cavefish_smc.bin)
  * "Dimgrey Cavefish" SOS firmware (amdgpu/dimgrey_cavefish_sos.bin)
  * "Dimgrey Cavefish" TA firmware (amdgpu/dimgrey_cavefish_ta.bin)
  * "Dimgrey Cavefish" VCN firmware (amdgpu/dimgrey_cavefish_vcn.bin)
  * "Fiji" CE firmware (amdgpu/fiji_ce.bin)
  * "Fiji" MC firmware (amdgpu/fiji_mc.bin)
  * "Fiji" ME firmware (amdgpu/fiji_me.bin)
  * "Fiji" MEC firmware (amdgpu/fiji_mec.bin)
  * "Fiji" MEC2 firmware (amdgpu/fiji_mec2.bin)
  * "Fiji" PFP firmware (amdgpu/fiji_pfp.bin)
  * "Fiji" RLC firmware (amdgpu/fiji_rlc.bin)
  * "Fiji" SDMA firmware (amdgpu/fiji_sdma.bin)
  * "Fiji" SDMA1 firmware (amdgpu/fiji_sdma1.bin)
  * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
  * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
  * "Fiji" VCE firmware (amdgpu/fiji_vce.bin)
  * GC 10.3.6 CE firmware (amdgpu/gc_10_3_6_ce.bin)
  * GC 10.3.6 ME firmware (amdgpu/gc_10_3_6_me.bin)
  * GC 10.3.6 MEC firmware (amdgpu/gc_10_3_6_mec.bin)
  * GC 10.3.6 MEC2 firmware (amdgpu/gc_10_3_6_mec2.bin)
  * GC 10.3.6 PFP firmware (amdgpu/gc_10_3_6_pfp.bin)
  * GC 10.3.6 RLC firmware (amdgpu/gc_10_3_6_rlc.bin)
  * GC 10.3.7 CE firmware (amdgpu/gc_10_3_7_ce.bin)
  * GC 10.3.7 ME firmware (amdgpu/gc_10_3_7_me.bin)
  * GC 10.3.7 MEC firmware (amdgpu/gc_10_3_7_mec.bin)
  * GC 10.3.7 MEC2 firmware (amdgpu/gc_10_3_7_mec2.bin)
  * GC 10.3.7 PFP firmware (amdgpu/gc_10_3_7_pfp.bin)
  * GC 10.3.7 RLC firmware (amdgpu/gc_10_3_7_rlc.bin)
  * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
  * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
  * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
  * Ryzen 5000 ME firmware (amdgpu/green_sardine_me.bin)
  * Ryzen 5000 MEC2 firmware (amdgpu/green_sardine_mec2.bin)
  * Ryzen 5000 MEC firmware (amdgpu/green_sardine_mec.bin)
  * Ryzen 5000 PFP firmware (amdgpu/green_sardine_pfp.bin)
  * Ryzen 5000 RLC firmware (amdgpu/green_sardine_rlc.bin)
  * Ryzen 5000 SDMA firmware (amdgpu/green_sardine_sdma.bin)
  * Ryzen 5000 TA firmware (amdgpu/green_sardine_ta.bin)
  * Ryzen 5000 VCN firmware (amdgpu/green_sardine_vcn.bin)
  * Radeon HD 8500M series and R5 M200 CE microcode
    (amdgpu/hainan_ce.bin)
  * Radeon HD 8500M series and R5 M200 K SMC microcode
    (amdgpu/hainan_k_smc.bin)
  * Radeon HD 8500M series and R5 M200 MC microcode
    (amdgpu/hainan_mc.bin)
  * Radeon HD 8500M series and R5 M200 ME microcode
    (amdgpu/hainan_me.bin)
  * Radeon HD 8500M series and R5 M200 PFP microcode
    (amdgpu/hainan_pfp.bin)
  * Radeon HD 8500M series and R5 M200 RLC microcode
    (amdgpu/hainan_rlc.bin)
  * Radeon HD 8500M series and R5 M200 SMC microcode
    (amdgpu/hainan_smc.bin)
  * Radeon R9 290 series CE microcode (amdgpu/hawaii_ce.bin)
  * Radeon R9 290 series K SMC microcode (amdgpu/hawaii_k_smc.bin)
  * Radeon R9 290 series MC microcode (amdgpu/hawaii_mc.bin)
  * Radeon R9 290 series ME microcode (amdgpu/hawaii_me.bin)
  * Radeon R9 290 series MEC microcode (amdgpu/hawaii_mec.bin)
  * Radeon R9 290 series PFP microcode (amdgpu/hawaii_pfp.bin)
  * Radeon R9 290 series RLC microcode (amdgpu/hawaii_rlc.bin)
  * Radeon R9 290 series SDMA microcode (amdgpu/hawaii_sdma.bin)
  * Radeon R9 290 series SDMA microcode (amdgpu/hawaii_sdma1.bin)
  * Radeon R9 290 series SMC microcode (amdgpu/hawaii_smc.bin)
  * Radeon R9 290 series UVD microcode (amdgpu/hawaii_uvd.bin)
  * Radeon R9 290 series VCE microcode (amdgpu/hawaii_vce.bin)
  * Radeon HD 8100/8200/8300/8400 series CE microcode
    (amdgpu/kabini_ce.bin)
  * Radeon HD 8100/8200/8300/8400 series ME microcode
    (amdgpu/kabini_me.bin)
  * Radeon HD 8100/8200/8300/8400 series MEC microcode
    (amdgpu/kabini_mec.bin)
  * Radeon HD 8100/8200/8300/8400 series PFP microcode
    (amdgpu/kabini_pfp.bin)
  * Radeon HD 8100/8200/8300/8400 series RLC microcode
    (amdgpu/kabini_rlc.bin)
  * Radeon HD 8100/8200/8300/8400 series SDMA microcode
    (amdgpu/kabini_sdma.bin)
  * Radeon HD 8100/8200/8300/8400 series SDMA1 microcode
    (amdgpu/kabini_sdma1.bin)
  * Radeon HD 8100/8200/8300/8400 series UVD microcode
    (amdgpu/kabini_uvd.bin)
  * Radeon HD 8100/8200/8300/8400 series VCE microcode
    (amdgpu/kabini_vce.bin)
  * Radeon R5/R7 IGP 200 series CE microcode (amdgpu/kaveri_ce.bin)
  * Radeon R5/R7 IGP 200 series ME microcode (amdgpu/kaveri_me.bin)
  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec.bin)
  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec2.bin)
  * Radeon R5/R7 IGP 200 series PFP microcode (amdgpu/kaveri_pfp.bin)
  * Radeon R5/R7 IGP 200 series RLC microcode (amdgpu/kaveri_rlc.bin)
  * Radeon R5/R7 IGP 200 series SDMA microcode (amdgpu/kaveri_sdma.bin)
  * Radeon R5/R7 IGP 200 series SDMA1 microcode
    (amdgpu/kaveri_sdma1.bin)
  * Radeon R5/R7 IGP 200 series UVD microcode (amdgpu/kaveri_uvd.bin)
  * Radeon R5/R7 IGP 200 series VCE microcode (amdgpu/kaveri_vce.bin)
  * Radeon "Mullins"/"Beema" IGP CE microcode (amdgpu/mullins_ce.bin)
  * Radeon "Mullins"/"Beema" IGP ME microcode (amdgpu/mullins_me.bin)
  * Radeon "Mullins"/"Beema" IGP MEC microcode (amdgpu/mullins_mec.bin)
  * Radeon "Mullins"/"Beema" IGP PFP microcode (amdgpu/mullins_pfp.bin)
  * Radeon "Mullins"/"Beema" IGP RLC microcode (amdgpu/mullins_rlc.bin)
  * Radeon "Mullins"/"Beema" IGP SDMA microcode

=== debian/rules ===
#!/usr/bin/make -f
SHELL := sh -e
SOURCE := $(shell dpkg-parsechangelog -SSource)
VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')
VERSION_SOURCE := $(patsubst %+b$(VERSION_BINNMU),%,$(VERSION))

include debian/rules.defs

GENCONTROL = debian/bin/gencontrol.py

# Nothing to build
build-indep build-arch build: debian/control

clean: debian/control
	dh_testdir
	rm -rf debian/build debian/lib/python/__pycache__
	dh_clean

binary-indep: build-indep
	dh_testdir
	./copy-firmware.sh -v debian/build/install
	$(MAKE) -f debian/rules.gen binary-indep

binary-arch: build-arch

binary:	binary-indep binary-arch

CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json

# debian/bin/gencontrol.py uses debian/changelog as input, but the
# output only depends on the source name and version.  To avoid
# frequent changes to debian/control.md5sum, include only those fields
# in the checksum.
debian/build/version-info: debian/changelog
	mkdir -p $(@D)
	printf >$@ 'Source: %s\nVersion: %s\n' $(SOURCE) $(VERSION_SOURCE)

debian/control debian/rules.gen: $(GENCONTROL) $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: $(GENCONTROL) $(CONTROL_FILES)
# We currently need to run copy-firmware.sh to get a complete list of
# symlinks to include in package descriptions.
	./copy-firmware.sh debian/build/install
	$(GENCONTROL) /usr/src/linux-support-$(KERNELVERSION)
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.xz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude /.git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG) --strip-components=1 --one-top-level=$(notdir $(DIR_ORIG))
endif

maintainerclean:
	-rm debian/control debian/control.md5sum debian/rules.gen
	rm -f debian/*.bug-presubj
	-rm debian/*.hook.*
	rm -f debian/*.metainfo.xml
	-rm debian/*.preinst
	-rm debian/*.postinst
	-rm debian/*.templates

linux-support-name:
	@echo linux-support-$(KERNELVERSION)

.PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
	linux-support-name

=== debian/watch ===
version=3
opts="mode=git, gitmode=shallow, pgpmode=gittag, dversionmangle=s/^.*\+really//;s/@DEB_EXT@//, oversionmangle=s/^/20190114+really/" \
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git \
refs/tags/(.*) debian

## firmware-nonfree 20190502

=== debian/changelog ===
firmware-nonfree (20190502-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 May 2019 18:11:18 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: firmware-nonfree
 Section: non-free/kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
@@ -23,7 +24,7 @@
 Section: non-free/metapackages
 Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
 Recommends: intel-microcode, amd64-microcode
-Description: Binary firmware for various drivers in the Linux kernel (metapackage)
+Description: Binary firmware for various drivers in the Linux kernel (meta-package)
  This package depends on non-free firmware which may be used with drivers
  in the Linux kernel.
 
@@ -57,37 +58,7 @@
  supported by the radeon, amdgpu and r128 drivers.
  .
  Contents:
-  * "Aldebaran" MEC firmware (amdgpu/aldebaran_mec.bin)
-  * "Aldebaran" MEC2 firmware (amdgpu/aldebaran_mec2.bin)
-  * "Aldebaran" RLC firmware (amdgpu/aldebaran_rlc.bin)
-  * "Aldebaran" SDMA firmware (amdgpu/aldebaran_sdma.bin)
-  * "Aldebaran" SMC firmware (amdgpu/aldebaran_smc.bin)
-  * "Aldebaran" SOS firmware (amdgpu/aldebaran_sos.bin)
-  * "Aldebaran" TA firmware (amdgpu/aldebaran_ta.bin)
-  * "Aldebaran" VCN firmware (amdgpu/aldebaran_vcn.bin)
-  * "Arcturus" ASDN firmware (amdgpu/arcturus_asd.bin)
-  * "Arcturus" GPU info firmware (amdgpu/arcturus_gpu_info.bin)
-  * "Arcturus" MEC2 firmware (amdgpu/arcturus_mec2.bin)
-  * "Arcturus" MEC firmware (amdgpu/arcturus_mec.bin)
-  * "Arcturus" RLC firmware (amdgpu/arcturus_rlc.bin)
-  * "Arcturus" SDMA firmware (amdgpu/arcturus_sdma.bin)
-  * "Arcturus" SMC firmware (amdgpu/arcturus_smc.bin)
-  * "Arcturus" SOS firmware (amdgpu/arcturus_sos.bin)
-  * "Arcturus" TA firmware (amdgpu/arcturus_ta.bin)
-  * "Arcturus" VCN firmware (amdgpu/arcturus_vcn.bin)
   * "Banks" K-2 SMC microcode (amdgpu/banks_k_2_smc.bin)
-  * "Beige Goby" CE firmware (amdgpu/beige_goby_ce.bin)
-  * "Beige Goby" DMCUB firmware (amdgpu/beige_goby_dmcub.bin)
-  * "Beige Goby" ME firmware (amdgpu/beige_goby_me.bin)
-  * "Beige Goby" MEC firmware (amdgpu/beige_goby_mec.bin)
-  * "Beige Goby" MEC2 firmware (amdgpu/beige_goby_mec2.bin)
-  * "Beige Goby" PFP firmware (amdgpu/beige_goby_pfp.bin)
-  * "Beige Goby" RLC firmware (amdgpu/beige_goby_rlc.bin)
-  * "Beige Goby" SDMA firmware (amdgpu/beige_goby_sdma.bin)
-  * "Beige Goby" SMC firmware (amdgpu/beige_goby_smc.bin)
-  * "Beige Goby" SOS firmware (amdgpu/beige_goby_sos.bin)
-  * "Beige Goby" TA firmware (amdgpu/beige_goby_ta.bin)
-  * "Beige Goby" VCN firmware (amdgpu/beige_goby_vcn.bin)
   * Radeon HD 7790/8770/8950 CE microcode (amdgpu/bonaire_ce.bin)
   * Radeon HD 7790/8770/8950 K SMC microcode (amdgpu/bonaire_k_smc.bin)
   * Radeon HD 7790/8770/8950 MC microcode (amdgpu/bonaire_mc.bin)
@@ -111,29 +82,6 @@
   * "Carrizo" SDMA1 firmware (amdgpu/carrizo_sdma1.bin)
   * "Carrizo" UVD firmware, version 1.87 (amdgpu/carrizo_uvd.bin)
   * "Carrizo" VCE firmware (amdgpu/carrizo_vce.bin)
-  * "Cyan Skillfish2" CE firmware (amdgpu/cyan_skillfish2_ce.bin)
-  * "Cyan Skillfish2" ME firmware (amdgpu/cyan_skillfish2_me.bin)
-  * "Cyan Skillfish2" MEC firmware (amdgpu/cyan_skillfish2_mec.bin)
-  * "Cyan Skillfish2" MEC2 firmware (amdgpu/cyan_skillfish2_mec2.bin)
-  * "Cyan Skillfish2" PFP firmware (amdgpu/cyan_skillfish2_pfp.bin)
-  * "Cyan Skillfish2" RLC firmware (amdgpu/cyan_skillfish2_rlc.bin)
-  * "Cyan Skillfish2" SDMA firmware (amdgpu/cyan_skillfish2_sdma.bin)
-  * "Cyan Skillfish2" SDMA1 firmware (amdgpu/cyan_skillfish2_sdma1.bin)
-  * DCN 3.1.5 DMCUB firmware (amdgpu/dcn_3_1_5_dmcub.bin)
-  * DCN 3.1.6 DMCUB firmware (amdgpu/dcn_3_1_6_dmcub.bin)
-  * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
-  * "Dimgrey Cavefish" DMCUB firmware
-    (amdgpu/dimgrey_cavefish_dmcub.bin)
-  * "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
-  * "Dimgrey Cavefish" MEC firmware (amdgpu/dimgrey_cavefish_mec.bin)
-  * "Dimgrey Cavefish" MEC2 firmware (amdgpu/dimgrey_cavefish_mec2.bin)
-  * "Dimgrey Cavefish" PFP firmware (amdgpu/dimgrey_cavefish_pfp.bin)
-  * "Dimgrey Cavefish" RLC firmware (amdgpu/dimgrey_cavefish_rlc.bin)
-  * "Dimgrey Cavefish" SDMA firmware (amdgpu/dimgrey_cavefish_sdma.bin)
-  * "Dimgrey Cavefish" SMC firmware (amdgpu/dimgrey_cavefish_smc.bin)
-  * "Dimgrey Cavefish" SOS firmware (amdgpu/dimgrey_cavefish_sos.bin)
-  * "Dimgrey Cavefish" TA firmware (amdgpu/dimgrey_cavefish_ta.bin)
-  * "Dimgrey Cavefish" VCN firmware (amdgpu/dimgrey_cavefish_vcn.bin)
   * "Fiji" CE firmware (amdgpu/fiji_ce.bin)
   * "Fiji" MC firmware (amdgpu/fiji_mc.bin)
   * "Fiji" ME firmware (amdgpu/fiji_me.bin)
@@ -146,29 +94,6 @@
   * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
   * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
   * "Fiji" VCE firmware (amdgpu/fiji_vce.bin)
-  * GC 10.3.6 CE firmware (amdgpu/gc_10_3_6_ce.bin)
-  * GC 10.3.6 ME firmware (amdgpu/gc_10_3_6_me.bin)
-  * GC 10.3.6 MEC firmware (amdgpu/gc_10_3_6_mec.bin)
-  * GC 10.3.6 MEC2 firmware (amdgpu/gc_10_3_6_mec2.bin)
-  * GC 10.3.6 PFP firmware (amdgpu/gc_10_3_6_pfp.bin)
-  * GC 10.3.6 RLC firmware (amdgpu/gc_10_3_6_rlc.bin)
-  * GC 10.3.7 CE firmware (amdgpu/gc_10_3_7_ce.bin)
-  * GC 10.3.7 ME firmware (amdgpu/gc_10_3_7_me.bin)
-  * GC 10.3.7 MEC firmware (amdgpu/gc_10_3_7_mec.bin)
-  * GC 10.3.7 MEC2 firmware (amdgpu/gc_10_3_7_mec2.bin)
-  * GC 10.3.7 PFP firmware (amdgpu/gc_10_3_7_pfp.bin)
-  * GC 10.3.7 RLC firmware (amdgpu/gc_10_3_7_rlc.bin)
-  * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
-  * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
-  * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
-  * Ryzen 5000 ME firmware (amdgpu/green_sardine_me.bin)
-  * Ryzen 5000 MEC2 firmware (amdgpu/green_sardine_mec2.bin)
-  * Ryzen 5000 MEC firmware (amdgpu/green_sardine_mec.bin)
-  * Ryzen 5000 PFP firmware (amdgpu/green_sardine_pfp.bin)
-  * Ryzen 5000 RLC firmware (amdgpu/green_sardine_rlc.bin)
-  * Ryzen 5000 SDMA firmware (amdgpu/green_sardine_sdma.bin)
-  * Ryzen 5000 TA firmware (amdgpu/green_sardine_ta.bin)
-  * Ryzen 5000 VCN firmware (amdgpu/green_sardine_vcn.bin)
   * Radeon HD 8500M series and R5 M200 CE microcode
     (amdgpu/hainan_ce.bin)
   * Radeon HD 8500M series and R5 M200 K SMC microcode
@@ -230,3 +155,76 @@
   * Radeon "Mullins"/"Beema" IGP PFP microcode (amdgpu/mullins_pfp.bin)
   * Radeon "Mullins"/"Beema" IGP RLC microcode (amdgpu/mullins_rlc.bin)
   * Radeon "Mullins"/"Beema" IGP SDMA microcode
+    (amdgpu/mullins_sdma.bin)
+  * Radeon "Mullins"/"Beema" IGP SDMA1 microcode
+    (amdgpu/mullins_sdma1.bin)
+  * Radeon "Mullins"/"Beema" IGP UVD microcode (amdgpu/mullins_uvd.bin)
+  * Radeon "Mullins"/"Beema" IGP VCE microcode (amdgpu/mullins_vce.bin)
+  * Radeon HD 8500/8600/8700 series CE microcode (amdgpu/oland_ce.bin)
+  * Radeon HD 8500/8600/8700 series K SMC microcode
+    (amdgpu/oland_k_smc.bin)
+  * Radeon HD 8500/8600/8700 series MC microcode (amdgpu/oland_mc.bin)
+  * Radeon HD 8500/8600/8700 series ME microcode (amdgpu/oland_me.bin)
+  * Radeon HD 8500/8600/8700 series PFP microcode (amdgpu/oland_pfp.bin)
+  * Radeon HD 8500/8600/8700 series RLC microcode (amdgpu/oland_rlc.bin)
+  * Radeon HD 8500/8600/8700 series SMC microcode (amdgpu/oland_smc.bin)
+  * "Picasso" ASD firmware (amdgpu/picasso_asd.bin)
+  * "Picasso" CE firmware (amdgpu/picasso_ce.bin)
+  * "Picasso" GPU info (amdgpu/picasso_gpu_info.bin)
+  * "Picasso" ME firmware (amdgpu/picasso_me.bin)
+  * "Picasso" MEC firmware (amdgpu/picasso_mec.bin)
+  * "Picasso" MEC2 firmware (amdgpu/picasso_mec2.bin)
+  * "Picasso" PFP firmware (amdgpu/picasso_pfp.bin)
+  * "Picasso" RLC firmware (amdgpu/picasso_rlc.bin)
+  * "Picasso" RLC AM4 firmware (amdgpu/picasso_rlc_am4.bin)
+  * "Picasso" SDMA firmware (amdgpu/picasso_sdma.bin)
+  * "Picasso" VCN firmware (amdgpu/picasso_vcn.bin)
+  * Radeon HD 7800 series CE microcode (amdgpu/pitcairn_ce.bin)
+  * Radeon HD 7800 series K SMC microcode (amdgpu/pitcairn_k_smc.bin)
+  * Radeon HD 7800 series MC microcode (amdgpu/pitcairn_mc.bin)
+  * Radeon HD 7800 series ME microcode (amdgpu/pitcairn_me.bin)
+  * Radeon HD 7800 series PFP microcode (amdgpu/pitcairn_pfp.bin)
+  * Radeon HD 7800 series RLC microcode (amdgpu/pitcairn_rlc.bin)
+  * Radeon HD 7800 series SMC microcode (amdgpu/pitcairn_smc.bin)
+  * "Polaris 10" old CE firmware (amdgpu/polaris10_ce.bin)
+  * "Polaris 10" new CE firmware (amdgpu/polaris10_ce_2.bin)
+  * "Polaris 10" K2 SMC firmware (amdgpu/polaris10_k2_smc.bin)
+  * "Polaris 10" K MC firmware (amdgpu/polaris10_k_mc.bin)
+  * "Polaris 10" K SMC firmware (amdgpu/polaris10_k_smc.bin)
+  * "Polaris 10" MC firmware (amdgpu/polaris10_mc.bin)
+  * "Polaris 10" old ME firmware (amdgpu/polaris10_me.bin)
+  * "Polaris 10" old MEC firmware (amdgpu/polaris10_mec.bin)
+  * "Polaris 10" old MEC2 firmware (amdgpu/polaris10_mec2.bin)
+  * "Polaris 10" new MEC2 firmware (amdgpu/polaris10_mec2_2.bin)
+  * "Polaris 10" new MEC firmware (amdgpu/polaris10_mec_2.bin)
+  * "Polaris 10" new ME firmware (amdgpu/polaris10_me_2.bin)
+  * "Polaris 10" old PFP firmware (amdgpu/polaris10_pfp.bin)
+  * "Polaris 10" new PFP firmware (amdgpu/polaris10_pfp_2.bin)
+  * "Polaris 10" RLC firmware (amdgpu/polaris10_rlc.bin)
+  * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
+  * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
+  * "Polaris 10" SMC firmware (amdgpu/polaris10_smc.bin)
+  * "Polaris 10" SMC-SK firmware (amdgpu/polaris10_smc_sk.bin)
+  * "Polaris 10" UVD firmware, version 1.130 (amdgpu/polaris10_uvd.bin)
+  * "Polaris 10" VCE firmware, version 53.26 (amdgpu/polaris10_vce.bin)
+  * "Polaris 11" old CE firmware (amdgpu/polaris11_ce.bin)
+  * "Polaris 11" new CE firmware (amdgpu/polaris11_ce_2.bin)
+  * "Polaris 11" K2 SMC firmware (amdgpu/polaris11_k2_smc.bin)
+  * "Polaris 11" K MC firmware (amdgpu/polaris11_k_mc.bin)
+  * "Polaris 11" K SMC firmware (amdgpu/polaris11_k_smc.bin)
+  * "Polaris 11" MC firmware (amdgpu/polaris11_mc.bin)
+  * "Polaris 11" old ME firmware (amdgpu/polaris11_me.bin)
+  * "Polaris 11" old MEC firmware (amdgpu/polaris11_mec.bin)
+  * "Polaris 11" old MEC2 firmware (amdgpu/polaris11_mec2.bin)
+  * "Polaris 11" new MEC2 firmware (amdgpu/polaris11_mec2_2.bin)
+  * "Polaris 11" new MEC firmware (amdgpu/polaris11_mec_2.bin)
+  * "Polaris 11" new ME firmware (amdgpu/polaris11_me_2.bin)
+  * "Polaris 11" old PFP firmware (amdgpu/polaris11_pfp.bin)
+  * "Polaris 11" new PFP firmware (amdgpu/polaris11_pfp_2.bin)
+  * "Polaris 11" RLC firmware (amdgpu/polaris11_rlc.bin)
+  * "Polaris 11" SDMA firmware (amdgpu/polaris11_sdma.bin)
+  * "Polaris 11" SDMA1 firmware (amdgpu/polaris11_sdma1.bin)
+  * "Polaris 11" SMC firmware (amdgpu/polaris11_smc.bin)
+  * "Polaris 11" SMC-SK firmware (amdgpu/polaris11_smc_sk.bin)
+  * "Polaris 11" UVD firmware, version 1.130 (amdgpu/polaris11_uvd.bin)
+  * "Polaris 11" VCE firmware, version 53.26 (amdgpu/polaris11_vce.bin)

## firmware-nonfree 20190717

=== debian/changelog ===
firmware-nonfree (20190717-2~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Apr 2020 18:44:22 -0700

## firmware-nonfree 20200421

=== debian/changelog ===
firmware-nonfree (20200421-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 Jul 2020 11:07:44 -0700

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: non-free/kernel
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux
 Architecture: all
@@ -28,19 +28,11 @@
  This package depends on non-free firmware which may be used with drivers
  in the Linux kernel.
 
-Package: firmware-adi
+Package: firmware-qcom-media
 Architecture: all
 Section: non-free/oldlibs
-Depends: firmware-misc-nonfree, ${misc:Depends}
-Description: Binary firmware for Analog Devices Inc. DSL modem chips (dummmy package)
- This is a dummy transitional package.  It can be safely removed.
-Multi-Arch: foreign
-
-Package: firmware-ralink
-Architecture: all
-Section: non-free/oldlibs
-Depends: firmware-misc-nonfree, ${misc:Depends}
-Description: Binary firmware for Ralink wireless cards (dummmy package)
+Depends: firmware-qcom-soc, ${misc:Depends}
+Description: Binary firmware for Qualcomm graphics/video (dummy package)
  This is a dummy transitional package.  It can be safely removed.
 Multi-Arch: foreign
 
@@ -160,6 +152,39 @@
     (amdgpu/mullins_sdma1.bin)
   * Radeon "Mullins"/"Beema" IGP UVD microcode (amdgpu/mullins_uvd.bin)
   * Radeon "Mullins"/"Beema" IGP VCE microcode (amdgpu/mullins_vce.bin)
+  * "Navi 10" ASD firmware (amdgpu/navi10_asd.bin)
+  * "Navi 10" CE firmware (amdgpu/navi10_ce.bin)
+  * "Navi 10" GPU info (amdgpu/navi10_gpu_info.bin)
+  * "Navi 10" ME firmware (amdgpu/navi10_me.bin)
+  * "Navi 10" MEC firmware (amdgpu/navi10_mec.bin)
+  * "Navi 10" MEC2 firmware (amdgpu/navi10_mec2.bin)
+  * "Navi 10" PFP firmware (amdgpu/navi10_pfp.bin)
+  * "Navi 10" RLC firmware (amdgpu/navi10_rlc.bin)
+  * "Navi 10" SDMA firmware (amdgpu/navi10_sdma.bin)
+  * "Navi 10" SDMA1 firmware (amdgpu/navi10_sdma1.bin)
+  * "Navi 10" SMC firmware (amdgpu/navi10_smc.bin)
+  * "Navi 10" SOS firmware (amdgpu/navi10_sos.bin)
+  * "Navi 10" TA firmware (amdgpu/navi10_ta.bin)
+  * "Navi 10" VCN firmware (amdgpu/navi10_vcn.bin)
+  * "Navi 14" ASD firmware (amdgpu/navi14_asd.bin)
+  * "Navi 14" CE firmware (amdgpu/navi14_ce.bin)
+  * "Navi 14 wks" CE firmware (amdgpu/navi14_ce_wks.bin)
+  * "Navi 14" GPU info (amdgpu/navi14_gpu_info.bin)
+  * "Navi 14" ME firmware (amdgpu/navi14_me.bin)
+  * "Navi 14 wks" ME firmware (amdgpu/navi14_me_wks.bin)
+  * "Navi 14" MEC firmware (amdgpu/navi14_mec.bin)
+  * "Navi 14" MEC2 firmware (amdgpu/navi14_mec2.bin)
+  * "Navi 14 wks" MEC2 firmware (amdgpu/navi14_mec2_wks.bin)
+  * "Navi 14 wks" MEC firmware (amdgpu/navi14_mec_wks.bin)
+  * "Navi 14" PFP firmware (amdgpu/navi14_pfp.bin)
+  * "Navi 14 wks" PFP firmware (amdgpu/navi14_pfp_wks.bin)
+  * "Navi 14" RLC firmware (amdgpu/navi14_rlc.bin)
+  * "Navi 14" SDMA firmware (amdgpu/navi14_sdma.bin)
+  * "Navi 14" SDMA1 firmware (amdgpu/navi14_sdma1.bin)
+  * "Navi 14" SMC firmware (amdgpu/navi14_smc.bin)
+  * "Navi 14" SOS firmware (amdgpu/navi14_sos.bin)
+  * "Navi 14" TA firmware (amdgpu/navi14_ta.bin)
+  * "Navi 14" VCN firmware (amdgpu/navi14_vcn.bin)
   * Radeon HD 8500/8600/8700 series CE microcode (amdgpu/oland_ce.bin)
   * Radeon HD 8500/8600/8700 series K SMC microcode
     (amdgpu/oland_k_smc.bin)
@@ -178,6 +203,7 @@
   * "Picasso" RLC firmware (amdgpu/picasso_rlc.bin)
   * "Picasso" RLC AM4 firmware (amdgpu/picasso_rlc_am4.bin)
   * "Picasso" SDMA firmware (amdgpu/picasso_sdma.bin)
+  * "Picasso" TA firmware (amdgpu/picasso_ta.bin)
   * "Picasso" VCN firmware (amdgpu/picasso_vcn.bin)
   * Radeon HD 7800 series CE microcode (amdgpu/pitcairn_ce.bin)
   * Radeon HD 7800 series K SMC microcode (amdgpu/pitcairn_k_smc.bin)
@@ -204,27 +230,3 @@
   * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
   * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
   * "Polaris 10" SMC firmware (amdgpu/polaris10_smc.bin)
-  * "Polaris 10" SMC-SK firmware (amdgpu/polaris10_smc_sk.bin)
-  * "Polaris 10" UVD firmware, version 1.130 (amdgpu/polaris10_uvd.bin)
-  * "Polaris 10" VCE firmware, version 53.26 (amdgpu/polaris10_vce.bin)
-  * "Polaris 11" old CE firmware (amdgpu/polaris11_ce.bin)
-  * "Polaris 11" new CE firmware (amdgpu/polaris11_ce_2.bin)
-  * "Polaris 11" K2 SMC firmware (amdgpu/polaris11_k2_smc.bin)
-  * "Polaris 11" K MC firmware (amdgpu/polaris11_k_mc.bin)
-  * "Polaris 11" K SMC firmware (amdgpu/polaris11_k_smc.bin)
-  * "Polaris 11" MC firmware (amdgpu/polaris11_mc.bin)
-  * "Polaris 11" old ME firmware (amdgpu/polaris11_me.bin)
-  * "Polaris 11" old MEC firmware (amdgpu/polaris11_mec.bin)
-  * "Polaris 11" old MEC2 firmware (amdgpu/polaris11_mec2.bin)
-  * "Polaris 11" new MEC2 firmware (amdgpu/polaris11_mec2_2.bin)
-  * "Polaris 11" new MEC firmware (amdgpu/polaris11_mec_2.bin)
-  * "Polaris 11" new ME firmware (amdgpu/polaris11_me_2.bin)
-  * "Polaris 11" old PFP firmware (amdgpu/polaris11_pfp.bin)
-  * "Polaris 11" new PFP firmware (amdgpu/polaris11_pfp_2.bin)
-  * "Polaris 11" RLC firmware (amdgpu/polaris11_rlc.bin)
-  * "Polaris 11" SDMA firmware (amdgpu/polaris11_sdma.bin)
-  * "Polaris 11" SDMA1 firmware (amdgpu/polaris11_sdma1.bin)
-  * "Polaris 11" SMC firmware (amdgpu/polaris11_smc.bin)
-  * "Polaris 11" SMC-SK firmware (amdgpu/polaris11_smc_sk.bin)
-  * "Polaris 11" UVD firmware, version 1.130 (amdgpu/polaris11_uvd.bin)
-  * "Polaris 11" VCE firmware, version 53.26 (amdgpu/polaris11_vce.bin)

## firmware-nonfree 20200619

=== keyspan_pda/Makefile ===
CC = gcc
IHEX2FW = ihex2fw

all: keyspan_pda.fw xircom_pgs.fw

%.fw: %.S
	$(CC) -x assembler-with-cpp -P -E -o $*.asm $<
	as31 -l $*.asm
	$(IHEX2FW) $*.hex $@

clean:
	rm -f *.asm *.fw *.hex *.lst *.obj

=== debian/changelog ===
firmware-nonfree (20200619-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Jul 2020 15:01:09 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: firmware-nonfree
 Section: non-free/kernel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux
 Architecture: all
@@ -230,3 +229,4 @@
   * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
   * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
   * "Polaris 10" SMC firmware (amdgpu/polaris10_smc.bin)
+  * "Polaris 10" SMC-SK firmware (amdgpu/polaris10_smc_sk.bin)

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 binary:	binary-indep binary-arch
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
-CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
+CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/copyright) $(wildcard debian/config/*/LICENSE*)
 
 # debian/bin/gencontrol.py uses debian/changelog as input, but the
 # output only depends on the source name and version.  To avoid
@@ -73,20 +73,17 @@
 	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
 else
 	mkdir -p ../orig
-	tar -C ../orig -xaf $(TAR_ORIG) --strip-components=1 --one-top-level=$(notdir $(DIR_ORIG))
+	tar -C ../orig -xaf $(TAR_ORIG)
 endif
 
 maintainerclean:
 	-rm debian/control debian/control.md5sum debian/rules.gen
 	rm -f debian/*.bug-presubj
+	-rm debian/*.copyright
 	-rm debian/*.hook.*
 	rm -f debian/*.metainfo.xml
 	-rm debian/*.preinst
 	-rm debian/*.postinst
 	-rm debian/*.templates
 
-linux-support-name:
-	@echo linux-support-$(KERNELVERSION)
-
-.PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
-	linux-support-name
+.PHONY: clean build-indep build-arch build binary-indep binary-arch binary

## firmware-nonfree 20200721

=== debian/changelog ===
firmware-nonfree (20200721-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 31 Aug 2020 17:25:06 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: firmware-nonfree
 Section: non-free/kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux
 Architecture: all
@@ -192,6 +193,7 @@
   * Radeon HD 8500/8600/8700 series PFP microcode (amdgpu/oland_pfp.bin)
   * Radeon HD 8500/8600/8700 series RLC microcode (amdgpu/oland_rlc.bin)
   * Radeon HD 8500/8600/8700 series SMC microcode (amdgpu/oland_smc.bin)
+  * Radeon HD 8500/8600/8700 series UVD microcode (amdgpu/oland_uvd.bin)
   * "Picasso" ASD firmware (amdgpu/picasso_asd.bin)
   * "Picasso" CE firmware (amdgpu/picasso_ce.bin)
   * "Picasso" GPU info (amdgpu/picasso_gpu_info.bin)
@@ -211,6 +213,7 @@
   * Radeon HD 7800 series PFP microcode (amdgpu/pitcairn_pfp.bin)
   * Radeon HD 7800 series RLC microcode (amdgpu/pitcairn_rlc.bin)
   * Radeon HD 7800 series SMC microcode (amdgpu/pitcairn_smc.bin)
+  * Radeon HD 7800 series UVD microcode (amdgpu/pitcairn_uvd.bin)
   * "Polaris 10" old CE firmware (amdgpu/polaris10_ce.bin)
   * "Polaris 10" new CE firmware (amdgpu/polaris10_ce_2.bin)
   * "Polaris 10" K2 SMC firmware (amdgpu/polaris10_k2_smc.bin)
@@ -227,6 +230,3 @@
   * "Polaris 10" new PFP firmware (amdgpu/polaris10_pfp_2.bin)
   * "Polaris 10" RLC firmware (amdgpu/polaris10_rlc.bin)
   * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
-  * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
-  * "Polaris 10" SMC firmware (amdgpu/polaris10_smc.bin)
-  * "Polaris 10" SMC-SK firmware (amdgpu/polaris10_smc_sk.bin)

## firmware-nonfree 20200817

=== debian/changelog ===
firmware-nonfree (20200817-1.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Fri, 18 Sep 2020 15:12:15 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: firmware-nonfree
 Section: non-free/kernel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux
 Architecture: all
@@ -230,3 +229,4 @@
   * "Polaris 10" new PFP firmware (amdgpu/polaris10_pfp_2.bin)
   * "Polaris 10" RLC firmware (amdgpu/polaris10_rlc.bin)
   * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
+  * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
